New Call
This webhook is sent when a new call is created on the platform, it is configured at the appplication level
Authentication
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Query parameters
call_sid
a unique identifier for the call.
application_sid
a unique identifier for the jambonz application controlling this call
account_sid
a unique identifier for the jambonz account associated with the application
direction
the direction of the call:
inbound- The call was originated outside jambonzoutbound- The call was originated by jambonz
Allowed values:
from
the calling party number
to
the called party number
caller_name
the caller name, if known
call_status
current status of the call:
trying- a new incoming call has arrived or an outbound call has just been sentringing- a 180 Ringing response has been sent or receivedearly-media- an early media connection has been established prior to answering the call (183 Session Progress)in-progress- call has been answeredcompleted- an answered call has endedfailed- a call attempt failedbusy- a call attempt failed because the called party returned a busy statusno-answer- a call attempt failed because it was not answered in time
sip_status
the most recent sip status code received or generated for the call
Response
Return a 200 containing a JSON payload consisting of an array of verbs